OKRs, check-ins, performance goals, peer feedback, and 1-on-1 meetings.
Appreciations collection — standard CRUD operations. Filter with where[], paginate with page/limit, control depth for relations.
Returns a paginated list of Appreciations. Supports filtering, sorting, and relationship depth.
Auth: BothQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | number | optional | Page number (default: 1) |
| limit | number | optional | Results per page (default: 20, max: 100) |
| sort | string | optional | Sort field, prefix with - for desc (e.g. -createdAt) |
| where | object | optional | Filter object e.g. where[status][equals]=active |
| depth | number | optional | Relationship depth (default: 1) |
Example Request
curl https://v2-api.amdital.com/api/appreciations?limit=20&sort=-createdAt \
-H "Authorization: Bearer <token>"Example Response
{
"docs": [
{
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
}
],
"totalDocs": 42,
"limit": 20,
"page": 1,
"totalPages": 3,
"hasNextPage": true,
"hasPrevPage": false
}Creates a new Appreciation record. Requires authenticated workspace context.
Auth: BothBody / Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| workspace | string | required | Workspace ID (from JWT claims) |
Example Request
curl -X POST https://v2-api.amdital.com/api/appreciations \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"workspace":"ws_abc123"}'Example Response
{
"doc": {
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
},
"message": "Appreciation created successfully"
}CheckIns collection — standard CRUD operations. Filter with where[], paginate with page/limit, control depth for relations.
Returns a paginated list of CheckIns. Supports filtering, sorting, and relationship depth.
Auth: BothQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | number | optional | Page number (default: 1) |
| limit | number | optional | Results per page (default: 20, max: 100) |
| sort | string | optional | Sort field, prefix with - for desc (e.g. -createdAt) |
| where | object | optional | Filter object e.g. where[status][equals]=active |
| depth | number | optional | Relationship depth (default: 1) |
Example Request
curl https://v2-api.amdital.com/api/goal-check-ins?limit=20&sort=-createdAt \
-H "Authorization: Bearer <token>"Example Response
{
"docs": [
{
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
}
],
"totalDocs": 42,
"limit": 20,
"page": 1,
"totalPages": 3,
"hasNextPage": true,
"hasPrevPage": false
}Creates a new CheckIn record. Requires authenticated workspace context.
Auth: BothBody / Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| workspace | string | required | Workspace ID (from JWT claims) |
Example Request
curl -X POST https://v2-api.amdital.com/api/goal-check-ins \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"workspace":"ws_abc123"}'Example Response
{
"doc": {
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
},
"message": "CheckIn created successfully"
}Goals collection — standard CRUD operations. Filter with where[], paginate with page/limit, control depth for relations.
Returns a paginated list of Goals. Supports filtering, sorting, and relationship depth.
Auth: BothQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | number | optional | Page number (default: 1) |
| limit | number | optional | Results per page (default: 20, max: 100) |
| sort | string | optional | Sort field, prefix with - for desc (e.g. -createdAt) |
| where | object | optional | Filter object e.g. where[status][equals]=active |
| depth | number | optional | Relationship depth (default: 1) |
Example Request
curl https://v2-api.amdital.com/api/goals?limit=20&sort=-createdAt \
-H "Authorization: Bearer <token>"Example Response
{
"docs": [
{
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
}
],
"totalDocs": 42,
"limit": 20,
"page": 1,
"totalPages": 3,
"hasNextPage": true,
"hasPrevPage": false
}Creates a new Goal record. Requires authenticated workspace context.
Auth: BothBody / Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| workspace | string | required | Workspace ID (from JWT claims) |
Example Request
curl -X POST https://v2-api.amdital.com/api/goals \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"workspace":"ws_abc123"}'Example Response
{
"doc": {
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
},
"message": "Goal created successfully"
}Okrs collection — standard CRUD operations. Filter with where[], paginate with page/limit, control depth for relations.
Returns a paginated list of Okrs. Supports filtering, sorting, and relationship depth.
Auth: BothQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | number | optional | Page number (default: 1) |
| limit | number | optional | Results per page (default: 20, max: 100) |
| sort | string | optional | Sort field, prefix with - for desc (e.g. -createdAt) |
| where | object | optional | Filter object e.g. where[status][equals]=active |
| depth | number | optional | Relationship depth (default: 1) |
Example Request
curl https://v2-api.amdital.com/api/okrs?limit=20&sort=-createdAt \
-H "Authorization: Bearer <token>"Example Response
{
"docs": [
{
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
}
],
"totalDocs": 42,
"limit": 20,
"page": 1,
"totalPages": 3,
"hasNextPage": true,
"hasPrevPage": false
}Creates a new Okr record. Requires authenticated workspace context.
Auth: BothBody / Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| workspace | string | required | Workspace ID (from JWT claims) |
Example Request
curl -X POST https://v2-api.amdital.com/api/okrs \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"workspace":"ws_abc123"}'Example Response
{
"doc": {
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
},
"message": "Okr created successfully"
}OneOnOneMeetings collection — standard CRUD operations. Filter with where[], paginate with page/limit, control depth for relations.
Returns a paginated list of OneOnOneMeetings. Supports filtering, sorting, and relationship depth.
Auth: BothQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | number | optional | Page number (default: 1) |
| limit | number | optional | Results per page (default: 20, max: 100) |
| sort | string | optional | Sort field, prefix with - for desc (e.g. -createdAt) |
| where | object | optional | Filter object e.g. where[status][equals]=active |
| depth | number | optional | Relationship depth (default: 1) |
Example Request
curl https://v2-api.amdital.com/api/one-on-one-meetings?limit=20&sort=-createdAt \
-H "Authorization: Bearer <token>"Example Response
{
"docs": [
{
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
}
],
"totalDocs": 42,
"limit": 20,
"page": 1,
"totalPages": 3,
"hasNextPage": true,
"hasPrevPage": false
}Creates a new OneOnOneMeeting record. Requires authenticated workspace context.
Auth: BothBody / Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| workspace | string | required | Workspace ID (from JWT claims) |
Example Request
curl -X POST https://v2-api.amdital.com/api/one-on-one-meetings \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"workspace":"ws_abc123"}'Example Response
{
"doc": {
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
},
"message": "OneOnOneMeeting created successfully"
}PeerFeedback collection — standard CRUD operations. Filter with where[], paginate with page/limit, control depth for relations.
Returns a paginated list of PeerFeedback. Supports filtering, sorting, and relationship depth.
Auth: BothQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | number | optional | Page number (default: 1) |
| limit | number | optional | Results per page (default: 20, max: 100) |
| sort | string | optional | Sort field, prefix with - for desc (e.g. -createdAt) |
| where | object | optional | Filter object e.g. where[status][equals]=active |
| depth | number | optional | Relationship depth (default: 1) |
Example Request
curl https://v2-api.amdital.com/api/peer-feedback?limit=20&sort=-createdAt \
-H "Authorization: Bearer <token>"Example Response
{
"docs": [
{
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
}
],
"totalDocs": 42,
"limit": 20,
"page": 1,
"totalPages": 3,
"hasNextPage": true,
"hasPrevPage": false
}Creates a new PeerFeedback record. Requires authenticated workspace context.
Auth: BothBody / Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| workspace | string | required | Workspace ID (from JWT claims) |
Example Request
curl -X POST https://v2-api.amdital.com/api/peer-feedback \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"workspace":"ws_abc123"}'Example Response
{
"doc": {
"id": "64a1b2c3d4e5f6789abc0001",
"createdAt": "2026-01-15T10:00:00Z",
"updatedAt": "2026-01-15T10:00:00Z"
},
"message": "PeerFeedback created successfully"
}